libzypp 17.37.10

zypp::repo::RepoMediaAccess Class Reference

Provides files from different repos. More...

`#include <zypp/repo/RepoProvideFile.h>`

## Classes
class | Impl

## Public Member Functions
| RepoMediaAccess (ProvideFilePolicy defaultPolicy_r=ProvideFilePolicy())
| Ctor taking the default ProvideFilePolicy.
| ~RepoMediaAccess ()
ManagedFile | provideFile (const RepoInfo &repo_r, const OnMediaLocation &loc_r, const ProvideFilePolicy &policy_r)
| Provide a file from a Repository.
ManagedFile | provideFile (RepoInfo repo_r, const OnMediaLocation &loc_r)
void | setDefaultPolicy (const ProvideFilePolicy &policy_r)
| Set a new default ProvideFilePolicy.
const ProvideFilePolicy & | defaultPolicy () const
| Get the current default ProvideFilePolicy.

## Private Attributes
RW_pointer< Impl > | _impl

## Detailed Description

Provides files from different repos.

Class that allows to get files from repositories It handles automatically setting media verifiers if the repo is cached, and reuses media set access opened for repositories during its scope, so you can provide files from different repositories in different order without opening and closing medias all the time

Definition at line 61 of file RepoProvideFile.h.

## Constructor & Destructor Documentation

## ◆ RepoMediaAccess()

zypp::repo::RepoMediaAccess::RepoMediaAccess | ( | ProvideFilePolicy | defaultPolicy_r = ProvideFilePolicy() | ) |

Ctor taking the default ProvideFilePolicy.

Definition at line 238 of file RepoProvideFile.cc.

## ◆ ~RepoMediaAccess()

zypp::repo::RepoMediaAccess::~RepoMediaAccess | ( |  | ) |

Definition at line 242 of file RepoProvideFile.cc.

## Member Function Documentation

## ◆ provideFile() [1/2]

ManagedFile zypp::repo::RepoMediaAccess::provideFile | ( | const RepoInfo & | repo_r,
|  | const OnMediaLocation & | loc_r,
|  | const ProvideFilePolicy & | policy_r )

Provide a file from a Repository.

Let source_r provide the file described by loc_r. In case loc_r contains a checksum, the file is verified. policy_r provides callback hooks for download progress reporting and behaviour on failed checksum verification.

Exceptions

  Exception |

Todo
  Investigate why this needs a non-const Repository as arg.

Definition at line 251 of file RepoProvideFile.cc.

## ◆ provideFile() [2/2]

ManagedFile zypp::repo::RepoMediaAccess::provideFile | ( | RepoInfo | repo_r,
|  | const OnMediaLocation & | loc_r )
| inline

Definition at line 82 of file RepoProvideFile.h.

## ◆ setDefaultPolicy()

void zypp::repo::RepoMediaAccess::setDefaultPolicy | ( | const ProvideFilePolicy & | policy_r | ) |

Set a new default ProvideFilePolicy.

Definition at line 245 of file RepoProvideFile.cc.

## ◆ defaultPolicy()

const ProvideFilePolicy & zypp::repo::RepoMediaAccess::defaultPolicy | ( |  | ) | const

Get the current default ProvideFilePolicy.

Definition at line 248 of file RepoProvideFile.cc.

## Member Data Documentation

## ◆ _impl

RW_pointer<Impl> zypp::repo::RepoMediaAccess::_impl
| private

Definition at line 94 of file RepoProvideFile.h.

The documentation for this class was generated from the following files:

- zypp/repo/RepoProvideFile.h
- zypp/repo/RepoProvideFile.cc